using CloudBuilder.Core.Authorization;
namespace CloudBuilder.Security
{
    [TypeScript]
    public class LocaleEntityKey
    {
        public string GroupName  { get; set; }
        public string Lang  { get; set; }
        public string Name  { get; set; }

        public override bool Equals(object obj)
        {
            if (this == obj) return true;

            LocaleEntityKey pkey = obj as LocaleEntityKey;
            if (pkey == null) return false;

            if (GroupName != pkey.GroupName) return false;
            if (Lang != pkey.Lang) return false;
            if (Name != pkey.Name) return false;

            return true;
        }


            public override string ToString()
            {
                string declareSql="";
                declareSql=declareSql+$"declare @__tkey_GroupName_0 varchar(50) select @__tkey_GroupName_0 ='{GroupName}'; " ;                declareSql=declareSql+$"declare @__tkey_Lang_1 varchar(50) select @__tkey_Lang_1 ='{Lang}'; " ;                declareSql=declareSql+$"declare @__tkey_Name_2 varchar(50) select @__tkey_Name_2 ='{Name}'; " ;
                return declareSql;
            }
        }
    }
    /* builder.Entity<LocaleEntity>().HasKey(c => new {        c.GroupName,        c.Lang,        c.Name});    */
